r11388 - packages/tarballs

Evgeni Golov evgeni at alioth.debian.org
Mon Sep 27 08:09:03 UTC 2010


Author: evgeni
Date: 2010-09-27 08:08:54 +0000 (Mon, 27 Sep 2010)
New Revision: 11388

Added:
   packages/tarballs/putsource.sh
Log:
add a script for uploading orig tarballs to the server


Added: packages/tarballs/putsource.sh
===================================================================
--- packages/tarballs/putsource.sh	                        (rev 0)
+++ packages/tarballs/putsource.sh	2010-09-27 08:08:54 UTC (rev 11388)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ -z $1 ]; then
+ echo "You have to tell me what to upload!"
+ exit 1
+fi
+
+if [ ! -f $1 ]; then
+ echo "You should give me an existing file"
+ exit 1
+fi
+
+if ! `echo $1 | grep -q '.*_.*\.orig\.tar\.'`; then
+ echo "The given file ($1) does not match package_version.orig.tar.(gz|bz2)"
+ exit 1
+fi
+
+scp $1 alioth.debian.org:/var/lib/gforge/chroot/home/groups/pkg-games/htdocs/tarballs/


Property changes on: packages/tarballs/putsource.sh
___________________________________________________________________
Added: svn:executable
   + *




More information about the Pkg-games-commits mailing list